### Name: masal
### Title: Multivariate Adaptive Splines for Analysis of Longitudinal Data
### Aliases: masal
### Keywords: models multivariate nonparametric regression

### ** Examples

## fitting with default setting
data(s1)
fit=masal(s1)

## fitting with only fixed effect
## equivalent to regression
fit=masal(s1,5,2,c(0,0,0),c(1,2))

## fitting with a data set in which each subject has only one observation 
## equivalent to regression
s2=s1[5*(1:100),]
fit=masal(s2,5,2,c(1,1,0),c(1,2))

## fitting with unsorted data and missing values
s2=s1
s2[500,]=s1[1,]
s2[1,]=s1[500,]
s2[300,1]=NA
fit=masal(s2,5,2,c(1,1,0),c(1,2))

## look at the output of masal
print(fit)
summary(fit)
fit$out.fixed
fit$random.effect
fit$resd



